// TDBGrid scrollen Seitenweise mit Ctrl Taste
// Code Ausführung

Function TDBGrid.DoMouseWheelDown(Shift: TShiftState; MousePos: TPoint): Boolean;
Var delta, row1: Integer;
Begin
  Result := False;
  If Assigned(OnMouseWheelDown) Then
    OnMouseWheelDown(Self, Shift, MousePos, Result);
  If Not Result And Datalink.Active Then
  Begin
    If ssCtrl In Shift Then
    Begin
      row1 := Row;
      If Row < VisibleRowCount Then
        Delta := VisibleRowCount * 2 - Row
      Else Delta := VisibleRowCount;
      If TComponentDataLink(Datalink).MoveBy(delta) = delta Then
        TComponentDataLink(Datalink).MoveBy(-(Row - row1))
      Else TComponentDataLink(Datalink).MoveBy(1);
    End Else
      TComponentDataLink(Datalink).MoveBy(1);
    Result := True;
  End;
End;

Function TDBGrid.DoMouseWheelUp(Shift: TShiftState; MousePos: TPoint): Boolean;
Var delta, row1: Integer;
Begin
  Result := False;
  If Assigned(OnMouseWheelUp) Then
    OnMouseWheelUp(Self, Shift, MousePos, Result);
  If Not Result And Datalink.Active Then
  Begin
    If ssCtrl In Shift Then
    Begin
      row1 := Row - 1;
      delta := VisibleRowCount + Row - 1;
      if TComponentDataLink(Datalink).MoveBy(-delta) = -delta then
        TComponentDataLink(Datalink).MoveBy(row1)
      Else TComponentDataLink(Datalink).MoveBy(-1);
    End Else
      TComponentDataLink(Datalink).MoveBy(-1);
    Result := True;
  End;
End;

Function TComponentDataLink.MoveBy(Distance: Integer): Integer;
Begin
  Result := Inherited MoveBy(Distance);
End;
